.site-header {
  position: sticky;
  top: 0;
  background-color: white;
  background-repeat: repeat;
  background-position: center top;
  width: 100%;
  min-height: 150px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  z-index: +4;
}

.header-container {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
}

/* conteneur icône + texte */
.header-item {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* NOUVEAU : style du texte sous les icônes */
.header-item p {
  margin-top: 6px;
  font-size: 14px;
  text-align: center;
}

/* Texte sous l'icône profil */
.header-item:last-child p {
  position: absolute;
  top: calc(50% + 20px);
  right: 20px;
  width: 80px;
  text-align: center;
  transform: translateX(15px);
  font-size: 14px;
}

.header-logo {
  width: 150px;
  height: 150px;
  display: block;
  filter: drop-shadow(0 5px 5px rgba(0, 0, 0, 0.5));
  transition: transform 0.3s ease;
}

.header-logo:hover {
  transform: scale(1.05);
}

.header-link-profile {
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
}

.profile-icon {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: white;
  border: 2px solid #000;
  padding: 5px;
  transition:
          transform 0.3s ease,
          background-color 0.3s;
}

.profile-icon:hover {
  transform: scale(1.1);
  background-color: #f0f0f0;
  cursor: pointer;
}

.back-circle {
  position: absolute;
  left: 20px;
  top: 50%;
  transform: translateY(-50%);

  width: 42px;
  height: 42px;
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;

  background: white;
  color: black;
  border: 2px solid black;

  font-size: 20px;
  font-weight: bold;
  text-decoration: none;

  box-shadow: 0 4px 12px rgba(0,0,0,0.15);
  transition: all 0.25s ease;
}

.back-circle:hover {
  transform: translateY(-50%) scale(1.1);
  cursor: pointer;
}

@media (max-width: 600px) {
  .header-logo {
    width: 100px;
    height: 100px;
  }

  .profile-icon {
    width: 40px;
    height: 40px;
  }

  .header-link-profile {
    right: 15px;
  }
}